Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.type
Interface TypeMapping

All Known Implementing Classes:
  CustomTypeMapping

    public interface TypeMapping

Since:
  Feb 18, 2004
Author:
  Dan Diephouse

Method Summary
`java.lang.String` | `getEncodingStyleURI()`
`Type` | `getType(java.lang.Class javaType)`
`Type` | `getType(javax.xml.namespace.QName xmlType)`
`TypeCreator` | `getTypeCreator()`
`javax.xml.namespace.QName` | `getTypeQName(java.lang.Class clazz)`
`boolean` | `isRegistered(java.lang.Class javaType)` Checks whether or not type mapping between specified XML type and Java type is registered.
`boolean` | `isRegistered(javax.xml.namespace.QName xmlType)`
`void` | `register(java.lang.Class javaType, javax.xml.namespace.QName xmlType, Type type)`
`void` | `register(Type type)`
`void` | `removeType(Type type)`
`void` | `setEncodingStyleURI(java.lang.String encodingStyleURI)`

Method Detail

### isRegistered

    boolean isRegistered(java.lang.Class javaType)

  Checks whether or not type mapping between specified XML type and Java type is registered.

  Parameters:
    `javaType` - Class of the Java type
    `xmlType` - Qualified name of the XML data type
  Returns:
    boolean; `true` if type mapping between the specified XML type and Java type is registered; otherwise `false`

### isRegistered

    boolean isRegistered(javax.xml.namespace.QName xmlType)

### register

    void register(java.lang.Class javaType,
                  javax.xml.namespace.QName xmlType,
                  Type type)

### register

    void register(Type type)

### removeType

    void removeType(Type type)

### getType

    Type getType(java.lang.Class javaType)

### getType

    Type getType(javax.xml.namespace.QName xmlType)

### getTypeQName

    javax.xml.namespace.QName getTypeQName(java.lang.Class clazz)

### getEncodingStyleURI

    java.lang.String getEncodingStyleURI()

### setEncodingStyleURI

    void setEncodingStyleURI(java.lang.String encodingStyleURI)

### getTypeCreator

    TypeCreator getTypeCreator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.